Subject: Re: [ukfortran] [SC22WG5.6743] Final review of WG23 Fortran Vulnerabilities document

From: John Reid <[email-masked]>
Date: Sun, 12 Jul 2026 14:33:32 +0100

Stephen and Erhard,

Thank you for all your hard work on the Fortran Vulnerabilities 
document. I agree with most of what you have done, but not all. Here are 
my comments.

Best wishes,

John.

Steve Lionel wrote:
>
> This message is for WG5 (includes J3) members only.
>
>
> Stephen Michell, WG23 Convenor, wrote:
>
>
> “Erhard and I are doing a final edit on ISO IEC 24772-8 Fortran 
> vulnerabilities before publication. I need a list of current Fortran 
> WG members to do a last review for us.
>
>
> The document went through DIS ballot and had lots of editorial changes 
> from the ISO editor, as well as comments from Japan.
>
>
> One of the purposes of the review is to ensure that we did not change 
> anything that would cause us to go to FDIS ballot.”
>
>
> He asked me to send the relevant documents to WG5 for a final 
> look-over. I have uploaded them to the WG23 folder in the J3 Meeting 
> Files area. The files are:
>
>
>   WG23-N1567 - The  24772-8 Fortran vulnerabilities document from  ISO 
> after ballot and with Editorial changes by ISO editor.
>
>
>   WG23-N1566 - The  ISO summary NB and editorial comment sheet with 
> our responses.
>
>
>   WG23-N1571 - The 24772-8 document with our changes and responses to 
> editor’s comments.
>
>
>   WG23-N1572 - The 24772-8 document as a difference between what came 
> form ISO and Erhard’s and my end product.
>
> Please make any markups on that last document and send them to Stephen at
>
> [email-masked] <mailto:[email-masked]>
>
>
> Steve L
>
>
> _______________________________________________
> ukfortran mailing list -- [email-masked]
> %(web_page_url)slistinfo/%(_internal_name)s